Selection methods/es: Difference between revisions

From FreeCAD Documentation
(Created page with "===Vista 3D===")
(Updating to match new version of source page)
 
(8 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{Docnav/es
{{Docnav/es
|[[Mouse_Model/es|Modelo de ratón]]
|[[Mouse_Model/es|Modelo de ratón]]
|[[Navigation_Cube/es|Cubo de navegación]]
|[[Navigation_Cube/es|Cubo de navegación]]
}}
}}
</div>


{{TOCright}}
{{TOCright}}


<span id="Overview"></span>
==Vista general==
==Vista general==


[[Selection_methods|Selection methods]] in FreeCAD allow picking objects in the [[Interface|FreeCAD Interface]]: such as [[3D_view|3D view]], [[Tree_view|tree view]], [[Selection_view|selection view]], and other dialogs. Some selection methods are workbench specific and are documented in the particular workbench documentation.
[[Selection_methods|Selection methods]] in FreeCAD allow picking objects in the [[Interface|FreeCAD Interface]]: such as [[3D_view|3D view]], [[Tree_view|tree view]], [[Selection_view|selection view]], and other dialogs. Some selection methods are workbench specific and are documented in the particular workbench documentation.


<span id="3D_view"></span>
===Vista 3D===
===Vista 3D===


In the [[3D_view|3D view]] there are various ways of selecting objects.
In the [[3D_view|3D view]] there are various ways of selecting objects.


<span id="Simple_selection"></span>
===Simple selection===
===Selección simple===


Simple selection with the mouse (by default left-click) and pre-selection (hover) are described in the [[Mouse_Model|mouse navigation]] page.
Simple selection with the mouse (by default left-click) and pre-selection (hover) are described in the [[Mouse_navigation|mouse navigation]] page.


<span id="Repeated_clicks"></span>
===Repeated clicks===
===Clices repetidos===


The first click selects a sub-element (vertex, edge or face) of the object under the mouse. A second click selects the whole object. {{Version|0.18}}
The first click selects a sub-element (vertex, edge or face) of the object under the mouse. A second click selects the whole object.


The third click extends the selection to its container object ([[PartDesign_Body|PartDesign Body]], [[Std_Part|Std Part]], and others). Further clicks expand the selection up the container chain. {{Version|0.19}}
The third click extends the selection to its container object ([[PartDesign_Body|PartDesign Body]], [[Std_Part|Std Part]], and others). Further clicks expand the selection up the container chain.


<span id="Selection_commands"></span>
===Selection commands===
===Comandos de selección===


* To select all objects: [[Std_SelectAll|Std SelectAll]].
* To select all objects: [[Std_SelectAll|Std SelectAll]].
Line 66: Line 73:
Selecting objects is inherently a graphical task and therefore it is only available when the graphical user interface is loaded.
Selecting objects is inherently a graphical task and therefore it is only available when the graphical user interface is loaded.


These commands can be used in [[Macros|macros]] or from the [[Python_console|Python console]].
These methods can be used in [[Macros|macros]] or from the [[Python_console|Python console]]:


{{Code|code=
{{Code|code=
Line 76: Line 83:
}}
}}


The command {{incode|addSelectionGate}} restricts the user from selecting objects not specified in the selection string. A symbol appears when the pointer is over an item not in the specified group.
The {{incode|addSelectionGate}} method prevents the user from selecting objects not specified in the selection string. A [[Image:Button_invalid.svg|16px]] symbol appears when the pointer is over an item not in the specified group.


{{Code|code=
{{Code|code=
Gui.Selection.addSelectionGate("SELECT Part::Feature SUBELEMENT Edge")
Gui.Selection.addSelectionGate("SELECT Part::Feature SUBELEMENT Edge")

#### or
Gui.Selection.addSelectionGate("SELECT Part::Feature SUBELEMENT Face")

#### or
Gui.Selection.addSelectionGate("SELECT Part::Feature SUBELEMENT Vertex")
}}

To remove {{incode|SelectionGate()}}:

{{Code|code=
Gui.Selection.removeSelectionGate()
}}
}}


Line 85: Line 104:




<div class="mw-translate-fuzzy">
{{Docnav/es
{{Docnav/es
|[[Mouse_Model/es|Modelo de ratón]]
|[[Mouse_Model/es|Modelo de ratón]]
|[[Navigation_Cube/es|Cubo de navegación]]
|[[Navigation_Cube/es|Cubo de navegación]]
}}
}}
</div>


{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 16:21, 20 May 2023

Vista general

Selection methods in FreeCAD allow picking objects in the FreeCAD Interface: such as 3D view, tree view, selection view, and other dialogs. Some selection methods are workbench specific and are documented in the particular workbench documentation.

Vista 3D

In the 3D view there are various ways of selecting objects.

Selección simple

Simple selection with the mouse (by default left-click) and pre-selection (hover) are described in the mouse navigation page.

Clices repetidos

The first click selects a sub-element (vertex, edge or face) of the object under the mouse. A second click selects the whole object.

The third click extends the selection to its container object (PartDesign Body, Std Part, and others). Further clicks expand the selection up the container chain.

Comandos de selección

Selection view

The selection view shows the names of the objects being selected, including their full name within an object, for example, Unnamed#Body.Box001.Face17.

It also allows to perform some actions like Std ViewFitSelection, and sending the object to the Python console.

Object export

This should be in the selection view page.

Select any complex object, for example, a PartDesign Body or Std Part, then in the selection view select again the object, and then press Ctrl + C in the keyboard to open the Object selection dialog. This allows copying the selected object together with all or only some of that object's dependency objects. For example, for a Std Part the possible objects to select include the Std Part itself, but also its Origin, its three base axes (XYZ), and its three base planes (XY, YZ, XZ).

After pressing OK, the selected objects are copied into memory, and then can be pasted in the document to duplicate these objects only.

Object selection dialog that is launched from the selection view.

Tree view

In the tree view items can be selected, or deselected, one at a time, by holding the Ctrl key and clicking with the mouse.

A range of items can be selected by clicking on the first item, holding Shift, and clicking on the last item.

Selecting a single item will also show its properties in the property editor.

Double clicking will open any associated task panel containing actions. Make sure to close this task panel before executing another command or switching to any other workbench.

More methods are available by opening the context menu (right-click), depending on the object selected or the active workbench; see the information in tree view.

Scripting

Selecting objects is inherently a graphical task and therefore it is only available when the graphical user interface is loaded.

These methods can be used in macros or from the Python console:

import FreeCADGui as Gui

Gui.Selection.addSelection
Gui.Selection.addSelectionGate
Gui.Selection.Filter

The addSelectionGate method prevents the user from selecting objects not specified in the selection string. A symbol appears when the pointer is over an item not in the specified group.

Gui.Selection.addSelectionGate("SELECT Part::Feature SUBELEMENT Edge")

#### or
Gui.Selection.addSelectionGate("SELECT Part::Feature SUBELEMENT Face")

#### or
Gui.Selection.addSelectionGate("SELECT Part::Feature SUBELEMENT Vertex")

To remove SelectionGate():

Gui.Selection.removeSelectionGate()

See the Source documentation and Std PythonHelp for more help on using these tools.